X2Go Bug report logs - #441
x2gocleansessions crashes when closing open FDs

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 28 Feb 2014 15:35:01 UTC

Severity: important

Tags: pending

Found in version 4.0.1.13

Fixed in version 4.0.1.14

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#441; Package x2goserver. (Fri, 28 Feb 2014 15:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 28 Feb 2014 15:35:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: x2gocleansessions crashes on RHEL 6
Date: Fri, 28 Feb 2014 15:34:00 +0000
[Message part 1 (text/plain, inline)]
Package: x2goserver
Severity: important
Version: 4.0.1.13

Hi all, hi Alex,

in x2gocleansessions we use a line of code that is supposed to close  
all open file handles:

"""
# close all filehandles
for (glob "/proc/$$/fd/*") { POSIX::close($1) if m{/(\d+)$}; }
"""

This line lets x2gocleansessions crash on RHEL6 based distros. On  
Debian based distros, x2gocleansessions survives the above line of  
code. Not sure about Fedora.

Does anyone have an idea on this?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#441; Package x2goserver. (Wed, 05 Mar 2014 07:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 05 Mar 2014 07:35:01 GMT) Full text and rfc822 format available.

Message #10 received at 441@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 441-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 441@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Wed, 5 Mar 2014 08:34:46 +0100 (CET)
tag #441 pending
fixed #441 4.0.1.14
thanks

Hello,

X2Go issue #441 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=34e59ae

The issue will most likely be fixed in src:x2goserver (4.0.1.14).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 34e59ae01f81a8657045e90824cf62b0a4b35ed7
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Wed Mar 5 08:34:07 2014 +0100

    Fix broken file descriptor closures in x2gocleansessions. (Fixes: #441).

diff --git a/debian/changelog b/debian/changelog
index ca530ed..2a8a394 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -16,6 +16,8 @@ x2goserver (4.0.1.14-0x2go1) UNRELEASED; urgency=low
       the connection gets interrupted. SSHFS will then get removed by the
       Linux kernel and we have to "guess" what desktop icons is actually
       to be removed.
+    - Fix broken file descriptor closures in x2gocleansessions. (Fixes:
+      #441).
   * x2goserver.spec:
     - Let builds for EPEL-7 behave like recent Fedora builds.
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Mar 2014 07:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.14. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Mar 2014 07:35:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#441; Package x2goserver. (Wed, 05 Mar 2014 07:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 05 Mar 2014 07:40:02 GMT) Full text and rfc822 format available.

Message #19 received at 441@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 441@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#441: x2gocleansessions crashes
Date: Wed, 05 Mar 2014 07:37:16 +0000
[Message part 1 (text/plain, inline)]
Control: retitle -1 x2gocleansessions crashes when closing open FDs

On  Fr 28 Feb 2014 16:34:00 CET, Mike Gabriel wrote:

> in x2gocleansessions we use a line of code that is supposed to close  
> all open file handles:
>
> """
> # close all filehandles
> for (glob "/proc/$$/fd/*") { POSIX::close($1) if m{/(\d+)$}; }
> """
>
> This line lets x2gocleansessions crash on RHEL6 based distros. On  
> Debian based distros, x2gocleansessions survives the above line of  
> code. Not sure about Fedora.

This issue actually also occurrs on some Debian systems. Not sure why  
it took us so long to realize this.

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to 'x2gocleansessions crashes when closing open FDs' from 'x2gocleansessions crashes on RHEL 6' Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 441-submit@bugs.x2go.org. (Wed, 05 Mar 2014 07:40:02 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#441. (Wed, 05 Mar 2014 07:40:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#441; Package x2goserver. (Wed, 02 Apr 2014 12:35:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Wed, 02 Apr 2014 12:35:04 GMT) Full text and rfc822 format available.

Message #29 received at 441@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 441-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 441@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Wed, 2 Apr 2014 14:33:32 +0200 (CEST)
close #441
thanks

Hello,

we are very hopeful that X2Go issue #441 reported by you
has been resolved in the new release (4.0.1.14) of the
X2Go source project Ā»src:x2goserverĀ«.

You can view the complete changelog entry of src:x2goserver (4.0.1.14)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=4659cbf3ae4069b94c443fe7c2872eae9051f45b;hp=66eb1b0f5e124a282ebad236068ee7f2deda0f49

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.14-0x2go1
Status: RELEASE
Date: Wed, 02 Apr 2014 14:32:39 +0200
Fixes: 409 414 415 424 428 441 445
Changes: 
 x2goserver (4.0.1.14-0x2go1) RELEASED; urgency=low
 .
   [ Mike Gabriel ]
   * New upstream release (4.0.1.14):
     - Log SSHFS output and errors to ~/.x2go/C-<session>/sshfs-mounts.log.
       (Fixes: #415).
     - If x2golistmounts is used without cmd option <session_id>, then
       the env var $X2GO_SESSION (current session) will be attempted to use.
     - If x2goumount-session is used without cmd option <session_id>, then
       the env var $X2GO_SESSION (current session) will be attempted to use.
     - Fix x2gostartagent. Make sure the -nolisten tcp option is configurable
       via x2goagent.options. (Fixes: #424).
     - Safely remove desktop files for client-side shared folders. Remove
       the correct desktop file, even if the shared folder has already
       been (forcefully) umounted. Such situations occur in cases where
       the connection gets interrupted. SSHFS will then get removed by the
       Linux kernel and we have to "guess" what desktop icons is actually
       to be removed.
     - Fix broken file descriptor closures in x2gocleansessions. (Fixes:
       #441).
     - Provide proper Gentoo support in x2goserver-xsession portion of
       X2Go Server. (Fixes: #445).
     - x2gofm.desktop: Drop obsolete Encoding key from .desktop file.
     - Fix typos / hyphen-as-minus signs issues in x2goversion.8 and
       x2gomountdirs.8.
   * x2goserver.spec:
     - Let builds for EPEL-7 behave like recent Fedora builds.
     - Spcial handling of x2gofm.desktop. In EPEL-5 the Encoding key
       is still required for .desktop files.
   * debian/*.doc-base:
     + Provide *.doc-base files for bin:packages containing HTML man pages
       or other documentation.
   * debian/x2goserver.init:
     + Add status option for init script (test if x2gocleansessions is
       running or not).
     + Add Description key to LSB header.
   * debian/config:
     + Explicitly call set -e. Makes lintian happier.
   * debian/rules:
     + Detect Git-created ChangeLog file if present (created by X2Go
       upstream's build scripts during package build).
 .
   [ Harald Nordgard-Hansen ]
   * New upstream release (4.0.1.14):
     - Correctly quote the tests against $DISTRIB_RELEASE in x2goruncommand that
       were badly quoted (which caused them to report the wrong result and to
       create a file called "=" in the user home directory). Aligning all tests
       to use the same style of quoting fixes this. (Fixes: #409).
 .
   [ Orion Poplawski ]
   * New upstream release (4.0.1.14):
     - Fix wrong path to xinitrd.d in Xsession (section for RPM based distros).
       Also, add some existence/readability checking. (Fixes: #414).
     - Fix the x2goserver.service unit file. Allow systemd to track the service
       after startup. (Fixes: #428).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 02 Apr 2014 12:35:05 GMT) Full text and rfc822 format available.

Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Wed, 02 Apr 2014 12:35:05 GMT) Full text and rfc822 format available.

Message sent on to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug#441. (Wed, 02 Apr 2014 12:35:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 01 May 2014 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Jul 19 23:22:31 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.